Bug 131412 - Include process control extension, pcntl
Include process control extension, pcntl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://au.php.net/manual/en/ref.pcntl...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 22:55 EDT by Anchor Systems Managed Hosting
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 13:54:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anchor Systems Managed Hosting 2004-08-31 22:55:05 EDT
Description of problem:
pcntl_* functions not available via PHP.

Version-Release number of selected component (if applicable):
php-4.3.2-11.1.ent

How reproducible:
100 %

Steps to Reproduce:
1. Try to use functions
  
Actual results:
No such function.

Expected results:
Functions to work.

Additional info:
Please compile with --enable-pcntl
Comment 1 Suzanne Hillman 2004-09-01 15:30:35 EDT
Internal RFE bug #131500 entered; will be considered for future releases.
Comment 2 Joe Orton 2004-10-01 09:55:26 EDT
Will it be sufficient to you to build this extension only into
/usr/bin/php or do you want it enabled from the Apache module too?
Comment 3 Anchor Systems Managed Hosting 2004-10-04 23:09:43 EDT
Well, _I_ personally use PHP as a CGI on our shared server, so that
would be fine for me.

Does it make any difference restricting this given that a user can
run system? Or are you concerned with accidental problems if Apache
is switched to a threaded worker?

Maybe have the configuration add the functions to the disable_functions
list?
Comment 4 Mark J. Cox (Product Security) 2004-12-21 13:54:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-687.html

Note You need to log in before you can comment on or make changes to this bug.